import json
import logging

import requests

logger = logging.getLogger(__name__)


class HTTPClient:
    def __init__(self):
        self.session = requests.Session()

    def post(self, url, data, headers=None):
        headers = headers or {"Content-Type": "application/json"}
        try:
            response = self.session.post(url, data=json.dumps(data), headers=headers)
            return response
        except requests.RequestException as e:
            logger.error(f"Requests client error: {str(e)}")
            return None

    def close(self):
        self.session.close()
        logger.info("HTTP session closed.")
